import { mixinRobotoFont } from '@genesislcap/foundation-zero';
import { css } from '@microsoft/fast-element';
import { progressTag, providerTag, routerTag } from '../tags';
/**
 * @public
 */
export const styles = css `
  ${mixinRobotoFont()}

  :host {
    contain: content;
  }

  :host,
  ${providerTag}, ${routerTag} {
    display: flex;
    width: 100%;
    height: 100%;
  }

  ${progressTag} {
    width: 100%;
    margin: 0;
    height: calc(var(--design-unit) * 1px);
  }

  :host([hidden]) {
    display: none;
  }

  :host:not(:defined) {
    visibility: hidden;
  }
`;
